Reach
Get Profile Visitors Chart
Monthly timeseries of visitor count and total time-on-profile, plus the window total. Requires permission api_reach_read_profile_visitors_chart.
https://public-api.buffmetrics.comGET/v1/{account_id}/reach/profile-visitors/chart
Bearer
Authorization
defaultAuthorizationBearer <token>Send your FansMetric API key as a Bearer token in the Authorization header.
In: header
Path Parameters
account_id*integerOnlyFans numeric account ID.
Query Parameters
start_datestringWindow start. Default 2 years ago, UTC.
end_datestringWindow end. Default end of today, UTC.
bystringSame bucket selector as the other Profile Visitors endpoints.
curl --request GET "https://public-api.buffmetrics.com/v1/acct_XXXXX/reach/profile-visitors/chart?start_date=sample_start_date&end_date=sample_end_date&by=sample_by" \
--header "Authorization: Bearer YOUR_API_KEY"Response
200{
"data":{
"isAvailable":true
"hasStats":false
"chart":{
"visitors":[
0:{
"date":"2025-09-01T00:00:00+00:00"
"count":19922
}
]
"duration":[
0:{
"date":"2025-09-01T00:00:00+00:00"
"count":116885
}
]
}
"total":{
"current":"2581195"
"delta":100
}
}
"_meta":{
"_credits":{
"used":1
}
"_rate_limits":{
"limit_minute":1000
"remaining_minute":999
"limit_day":50000
"remaining_day":49999
}
}
}